Tip / Sign in to post questions, reply, level up, and achieve exciting badges. Know more

Wi-Fi Combo Forum Discussions

AxLi_1746341
Level 7
10 comments on KBA 5 comments on KBA First comment on KBA
Level 7

The WICED-6.6.1.1 is using lwIP-2.0.3, which was released 4 years ago.
So the WICED users may hit some issues that had been fixed by upstream lwIP.

Currently the latest stable release is lwIP-2.1.3.
Please upgrade lwIP to the latest stable version for getting bug fix.

https://savannah.nongnu.org/forum/forum.php?forum_id=10072

0 Likes
1 Solution
Rakesh_BG
Moderator
Moderator 10 likes received 25 solutions authored 50 replies posted
Moderator

Hi,

lwIP will not be updated to newer versions in wiced. 

Wiced is not recommended for new designs.

Thanks,

Rakesh B G

View solution in original post

0 Likes
5 Replies
Rakesh_BG
Moderator
Moderator 10 likes received 25 solutions authored 50 replies posted
Moderator

There will  be no changes to lwIP in wiced . The upgraded version lwIP 2.1.2 is available in MTB.

0 Likes
AxLi_1746341
Level 7
10 comments on KBA 5 comments on KBA First comment on KBA
Level 7

I don't get your point.
lwIP 2.1.2 is buggy and upgrade from 2.1.2 to 2.1.3 is really very simple.

0 Likes
Rakesh_BG
Moderator
Moderator 10 likes received 25 solutions authored 50 replies posted
Moderator

Hi @AxLi_1746341 ,

You will get latest lwIP version 2.1.3 soon in MTB.

0 Likes
AxLi_1746341
Level 7
10 comments on KBA 5 comments on KBA First comment on KBA
Level 7

@Rakesh_BG 

Regarding MTB, do you mean ModusToolBox?
The thing is existing WICED studio users cannot switch to ModusToolBox.
I reported WICED-6.6.1.1 is using old lwIP version, no idea why you mix ModusToolBox with WICED studio.

0 Likes
Rakesh_BG
Moderator
Moderator 10 likes received 25 solutions authored 50 replies posted
Moderator

Hi,

lwIP will not be updated to newer versions in wiced. 

Wiced is not recommended for new designs.

Thanks,

Rakesh B G

0 Likes